# The ldap-reports service.
#
# See also https://ikiwiki.stanford.edu/service/ldap/sync-scripts/
#
# NOTE: Normally installed only on prod and UAT.

class su_ldap::sync_scripts::ldap_reports (
  $ensure       = undef,
  $addresses    = [],
  $ldap_master_fqdn = undef,
){

  ## This spackage just has ldap-reports stuff, and DOES NOT require slapd
  # /usr/bin/ldap-report
  # /usr/bin/ldap-getaffiliation
  # /usr/bin/ldap-get-first-last
  # /usr/bin/ldap-summary
  # /usr/share/perl5/Stanford/LDAP/FilterList.pm
  package { 'stanford-ldap-tools': ensure  => installed }

  ## Configuration file
  
  file { '/etc/ldap-reports':
    ensure => directory,
  }

  file { '/etc/ldap-reports/som-mail-forwards-non-stanford.conf':
    ensure  => present,
    content => template('su_ldap/etc/ldap-reports/som-mail-forwards-non-stanford.conf.erb'),
  }

  ## Cron job
  file { '/etc/cron.d/ldap-reports':
    ensure => present,
    source => 'puppet:///modules/su_ldap/etc/cron.d/ldap-reports',
    require => File['/etc/ldap-reports/som-mail-forwards-non-stanford.conf'],
  }

}
